com.lowagie.text.pdf.fonts.cmaps

## Class CodespaceRange

- java.lang.Object
- - com.lowagie.text.pdf.fonts.cmaps.CodespaceRange

-     public class CodespaceRange
      extends java.lang.Object

  This represents a single entry in the codespace range.
  Since:
    2.1.4
  Version:
    $Revision$
  Author:
    Ben Litchfield (ben@benlitchfield.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `end`
    `private byte[]` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodespaceRange()` Creates a new instance of CodespaceRange.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEnd()` Getter for property end.
    `byte[]` | `getStart()` Getter for property start.
    `void` | `setEnd(byte[] endBytes)` Setter for property end.
    `void` | `setStart(byte[] startBytes)` Setter for property start.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          private byte[] start

    - #### end

          private byte[] end

  - ### Constructor Detail

    - #### CodespaceRange

          public CodespaceRange()

      Creates a new instance of CodespaceRange.

  - ### Method Detail

    - #### getEnd

          public byte[] getEnd()

      Getter for property end.
      Returns:
        Value of property end.

    - #### setEnd

          public void setEnd(byte[] endBytes)

      Setter for property end.
      Parameters:
        `endBytes` - New value of property end.

    - #### getStart

          public byte[] getStart()

      Getter for property start.
      Returns:
        Value of property start.

    - #### setStart

          public void setStart(byte[] startBytes)

      Setter for property start.
      Parameters:
        `startBytes` - New value of property start.